Subject: Re: bug#57379: GUI toolkit for Guile 3.0?

From: Lee Thomas <[email-masked]>
Date: Tue, 30 Aug 2022 11:33:32 -0700

So what I meant by "eventually", David, is that the apps were slow to
appear. Without the grafts, now they aren't.

I sincerely apologize for opening a bug on the original issue; it appeared
to be the right thing to do at the time. I am trying to get some apps built
in Guile, and sometimes it is difficult to find information. Plus, I am
dying from cancer, so many times my brain is not as lucid as I need it to
be, so I make social errors. But I do apologize, and I will do better in
the future.

It's not obvious to me how I can close this bug report. I will try to find
out, but if you have a quick response, I would appreciate it.

On Mon, Aug 29, 2022 at 4:23 PM David Pirotte <[email-masked]> wrote:

> Hi Lee,
>
> > Thank you again, David. I followed your installation instructions,
> > and with a few warnings, your hello-world example (eventually) ran.
>
> Great. What do you mean by '(eventually) ran'? Everything works fine,
> 'out of the box' and with no warnings, on debian ...
>
> > can submit what I saw to the [email-masked] address.
>
> No, please don't report warnings on [email-masked], rather, use the
> guile-user ML, prefixing all g-golf related messages using 'G-Golf - ',
> as proposed here  https://www.gnu.org/software/g-golf/contact.html
>
> > I also got clipboard.scm to run, with one error.
>
>         afaict, all examples should work fine, with no warning(s) and no
>         error(s)
>
> Please post a (separate) guile-user ML email with the error, as there is
> no error nor any warning here (debian testing), I'd need to see ...
>
> > I think for Jessica's and Ricardo's sakes, and because it's the right
> > thing to do, we can close bug #57379 and carry on elsewhere.
>
> You should definitely close bug#57379, which shouldn't have been opened
> in the first place: it was not a guile nor a g-golf bug in the first
> place ...
>
> I invite you to report the warning(s) and bug(s) in separate
> guile-user ML email(s) - start a new thread for every diff subject,
> let's not mix things and examples ... also, why don't you join us on
> irc.libera.chat as well, both #guile and #guix (which I follow but I do
> not participate, unless g-golf, guile-lib ... related, only wrt those
> packages I am involved in ...)
>
> David
>